Skip to main content
DELETE
/
api-key-pairs
/
{api_key_pair_id}
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

await sdk.ApiKeyPairs.DeleteAsync(apiKeyPairId: "fe26475d-ec3e-4884-9553-f7356683f7f9");

// handle response
{
  "type": "error",
  "code": "bad_request",
  "status": 400,
  "message": "Generic error",
  "details": []
}
This endpoint requires the api-key-pairs.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key_pair_id
string<uuid>
required

The ID of the API key pair.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Response

Successful Response